<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
    <meta name="generator" content=
            "HTML Tidy for Linux (vers 25 March 2009), see www.w3.org">
    <meta http-equiv="Content-Type" content=
            "text/html; charset=us-ascii">
    <link href="bootstrap.min.css" media="screen" rel="stylesheet"
          type="text/css">
    <title>eHealthSuisse ATC Audit Record Repository MockUp</title>
    <link rel="shortcut icon" href="favicon2.ico" type="image/x-icon">
</head>

<body class="container-fluid">
<div class="well well-small">
    <center>
        <h2>eHealthSuisse ATC Audit Record Repository MockUp</h2>
    </center>
</div>
<span class="row-fluid">
    <span class="span10 offset1">
        <p>eHealthSuisse ATC (Audit Trail Consumption) MockUp simulates a CH:ATC Patient Audit Record Repository.</p>
        <p>This profile defines the audit trail consumption requirements a community has to provide for a patient?s audit trail. The profile CH:ATC defines and precises the actors and transaction [ITI-81] of the IHE IT Infrastructure Technical Framework Supplement Add RESTful Query to ATNA 1 and defines the content of the Audit Messages. The different types of the Audit Messages are based on the requirements for Document and Policy Access management in order to achieve the Swiss regulation needs on the audit trail access by patients</p>
        <br>
        <p><strong>Patient Audit Consumer</strong> queries a <strong>Patient Audit Record Repository</strong> for Audit Events defined by this profile. </p>
        The Patient Audit Consumer used patientId and dates/Times before/after as parameters to asked the Audit Record Repository; in all, there are only three mandatory parameters.
        There also optional parameters : entity-id, entity-type, entity-role, source, type, user, subtype, outcome and address.
        Each request sent must have a security token in the header, this part is used to check access rights. In this token, two elements will be checked : 
	<ul>
		<li>
			Is the assertion valid in time ? (Time not Before in the past and Time not After in the future)
		</li>
		<li>
			Does the mock know the patient ID passed as a "resource-id" attribute ? If not, the mock will say you do not have the right to acces the information. The list of available patient ID is displayed below.
		</li>
        </ul>


        <h3>Data Set</h3>
        <h4>Token Security</h4>
	
	Here are the ID to put in the SAML token in "resource-id" attribute. If you query any other patient id, the mock will respond with an error message saying that you are not authorized to acces informations related to the given patient ID.

        <table class="table table-striped">
            <tr>
                <th>
                resource-id
                </th>
                <td>
                    761337610430891416^^^SPID&amp;2.16.756.5.30.1.127.3.10.3&amp;ISO
                </td>
                <td>
                    761337610423590456^^^SPID&amp;2.16.756.5.30.1.127.3.10.3&amp;ISO
                </td>
		<td>
		    761337610435209810^^^SPID&amp;2.16.756.5.30.1.127.3.10.3&amp;ISO
                </td>
		<td>
		    761337610436974489^^^SPID&amp;2.16.756.5.30.1.127.3.10.3&amp;ISO
                </td>
            </tr>
        </table>
        <br>
        <h4>AuditEvent</h4>

	<p>
		Here are all couples of Dates/PatientID to effectivly access audit events. However, using optional parameters can lead you to no Audit event returned, even with those date and patient ID. Indeed, if the events does not match even one of the optional parameters, the audit event will not be returned by the ATC Mock.
	</p>

        <table class="table table-striped">
            <tr>
                <th>
                Patient ID
                </th>
                <td>
                    urn:oid:2.16.756.5.30.1.127.3.10.3|761337610430891416
                </td>
                <td>
                    urn:oid:2.16.756.5.30.1.127.3.10.3|761337610435209810
                </td>
                 <td>
                    urn:oid:2.16.756.5.30.1.127.3.10.3|761337610436974489
                </td>
            </tr>
            <tr>
                <th>
                    Dates
                </th>
                <td>
                    ge2015-01-01 /
                    le2020-01-01
                </td>
                <td>
                    ge2015-01-01 /
                    le2017-01-01
                </td>
                 <td>
                    ge2017-01-01 /
                    le2019-01-01
                </td>
            </tr>
        </table>
        <br>
        <h3>End Point</h3>
         <a href="https://ehealthsuisse.ihe-europe.net/atc-record-repository.wadl">http://ehealthsuisse.ihe-europe.net:8626/atc-record-repository?wadl</a>
        <br><a href="https://ehealthsuisse.ihe-europe.net/simu/atc-record-repository.wadl">https://ehealthsuisse.ihe-europe.net:10443/atc-record-repository?wadl</a>
        <p>It requires TLS mutual authentication with testing certificate (from GSS PKI).</p>
        <h3>ATC URI example :</h3>
        <pre>http://ehealthsuisse.ihe-europe.net:8626/atc-record-repository/ARRservice/AuditEvent?date=<span style="background-color: yellow; font-weight: bold; ">ge2015-01-00</span>&date=<span style="background-color: yellow; font-weight: bold; ">le2020-01-00</span>&entity-id=<span style="background-color: yellow; font-weight: bold; ">urn:oid:2.16.756.5.30.1.127.3.10.3|761337610435200998</span>
</pre>
        </div>
        </div>

</body>
</html>
